package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

/** 
 * @ClassName: tbl_device
 * @date 2015年7月2日 下午16:40:00 
 *  
 */
public class Device implements Serializable{
	
	private static final long serialVersionUID = -2890074039912965824L;
	//设备ID
	private Integer deviceId;
	//服务器IP
	private String serverIP;
	//设备IP
	private String deviceIP;
	//设备MAC地址
	private String macAddress;
	//登陆次数
	private Integer loginCount;
	//厂家
	private String brandCode;
	//硬件型号
	private String hardwareType;
	//版本
	private String softwareVersion;
	//最后一次登陆时间
	private Date loginTime;
	//是否是黑名单:1是,0否
	private String isBlacklist;
	//首次激活时间
	private Date firstActivate;
	//创建时间
	private Date createTime;
	//分配日期
	private Date createDate;
	//是否开启换水提醒
	private String waterRemind;
	//换水提醒日期
	private Date remindDate;
	//换水周期
	private Integer remindCycle;
	//今天是否需要提醒
	private String todayRemind;
	
	public Integer getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}
	public String getServerIP() {
		return serverIP;
	}
	public void setServerIP(String serverIP) {
		this.serverIP = serverIP;
	}
	public String getDeviceIP() {
		return deviceIP;
	}
	public void setDeviceIP(String deviceIP) {
		this.deviceIP = deviceIP;
	}
	public String getMacAddress() {
		return macAddress;
	}
	public void setMacAddress(String macAddress) {
		this.macAddress = macAddress;
	}
	public Integer getLoginCount() {
		return loginCount;
	}
	public void setLoginCount(Integer loginCount) {
		this.loginCount = loginCount;
	}
	public Date getLoginTime() {
		return loginTime;
	}
	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getIsBlacklist() {
		return isBlacklist;
	}
	public void setIsBlacklist(String isBlacklist) {
		this.isBlacklist = isBlacklist;
	}
	public Date getFirstActivate() {
		return firstActivate;
	}
	public void setFirstActivate(Date firstActivate) {
		this.firstActivate = firstActivate;
	}
	public String getHardwareType() {
		return hardwareType;
	}
	public void setHardwareType(String hardwareType) {
		this.hardwareType = hardwareType;
	}
	public String getSoftwareVersion() {
		return softwareVersion;
	}
	public void setSoftwareVersion(String softwareVersion) {
		this.softwareVersion = softwareVersion;
	}
	public String getWaterRemind() {
		return waterRemind;
	}
	public void setWaterRemind(String waterRemind) {
		this.waterRemind = waterRemind;
	}
	public Date getRemindDate() {
		return remindDate;
	}
	public void setRemindDate(Date remindDate) {
		this.remindDate = remindDate;
	}
	public Integer getRemindCycle() {
		return remindCycle;
	}
	public void setRemindCycle(Integer remindCycle) {
		this.remindCycle = remindCycle;
	}
	public String getTodayRemind() {
		return todayRemind;
	}
	public void setTodayRemind(String todayRemind) {
		this.todayRemind = todayRemind;
	}
	public String getBrandCode() {
		return brandCode;
	}
	public void setBrandCode(String brandCode) {
		this.brandCode = brandCode;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	
}
